centos7中 yum的安装

全屏阅读
  • 基本信息
  • 作者:
  • 作者已发布:917篇文章
  • 发布时间:2022年02月11日 10:48:02
  • 所属分类:Linux
  • 阅读次数:1153次阅读
  • 标签:

自己误将yum卸载,

在重装时由于依赖问题一直报错:

error: Failed dependencies:

    /usr/bin/python is needed by yum-3.4.3-163.el7.centos.noarch

    python >= 2.4 is needed by yum-3.4.3-163.el7.centos.noarch

    python(abi) = 2.7 is needed by yum-3.4.3-163.el7.centos.noarch

    python-iniparse is needed by yum-3.4.3-163.el7.centos.noarch

    python-sqlite is needed by yum-3.4.3-163.el7.centos.noarch

    python-urlgrabber >= 3.10-8 is needed by yum-3.4.3-163.el7.centos.noarch

    rpm-python is needed by yum-3.4.3-163.el7.centos.noarch

    libpython2.7.so.1.0()(64bit) is needed by yum-metadata-parser-1.1.4-10.el7.x86_64

    python(abi) = 2.7 is needed by yum-metadata-parser-1.1.4-10.el7.x86_64

 

 

1、查看yum安装包

# rpm -qa | grep yum

yum-plugin-fastestmirror-1.1.31-52.el7.noarch

yum-metadata-parser-1.1.4-10.el7.x86_64

yum-utils-1.1.31-52.el7.noarch   

 

2、将其全部卸载

#rpm -e yum-plugin-fastestmirror-1.1.31-52.el7.noarch --nodeps

#rpm -e yum-metadata-parser-1.1.4-10.el7.x86_64 --nodeps

#rpm -e yum-utils-1.1.31-52.el7.noarch --nodeps

 

3、在http://mirrors.163.com/centos/7/os/x86_64/Packages/下载如下20个包

 

libxml2-python-2.9.1-6.el7_2.3.x86_64.rpm                    

python-ipaddress-1.0.16-2.el7.noarch.rpm  

lvm2-python-libs-2.02.185-2.el7.x86_64.rpm

python-kitchen-1.1.1-5.el7.noarch.rpm     

yum-3.4.3-163.el7.centos.noarch.rpm

python-2.7.5-86.el7.x86_64.rpm                                

python-libs-2.7.5-86.el7.x86_64.rpm       

yum-metadata-parser-1.1.4-10.el7.x86_64.rpm

python-backports-ssl_match_hostname-3.5.0.1-1.el7.noarch.rpm  

python-pycurl-7.19.0-19.el7.x86_64.rpm    

yum-plugin-aliases-1.1.31-52.el7.noarch.rpm

python-chardet-2.2.1-3.el7.noarch.rpm                         

python-setuptools-0.9.8-7.el7.noarch.rpm  

yum-plugin-fastestmirror-1.1.31-52.el7.noarch.rpm

python-devel-2.7.5-86.el7.x86_64.rpm                          

python-urlgrabber-3.10-9.el7.noarch.rpm   

yum-plugin-protectbase-1.1.31-52.el7.noarch.rpm

python-iniparse-0.4-9.el7.noarch.rpm                          

rpm-python-4.11.3-40.el7.x86_64.rpm       

yum-utils-1.1.31-52.el7.noarch.rpm

 

 

4、下载完成后执行

#rpm -Uvh --replacepkgs lvm2-python-libs*.rpm --nodeps --force

#rpm -Uvh --replacepkgs libxml2-python*.rpm --nodeps --force

#rpm -Uvh --replacepkgs python*.rpm --nodeps --force

#rpm -Uvh --replacepkgs rpm-python*.rpm yum*.rpm --nodeps --force

image.png

5、成功安装

image.png

6、如果将python换成python3的话,运行yum会报错

[root@iz2ze3ogy01eqvjs99e8nez python]# yum

  File "/usr/bin/yum", line 30

    except KeyboardInterrupt, e:

                            ^

SyntaxError: invalid syntax

 

修改 vi /etc/usr/yum 第一行为

#!/usr/bin/python2


顶一下
(0)
100%
订阅 回复
踩一下
(0)
100%
» 郑重声明:本文由mpxq168发布,所有内容仅代表个人观点。版权归恒富网mpxq168共有,欢迎转载, 但未经作者同意必须保留此段声明,并给出文章连接,否则保留追究法律责任的权利! 如果本文侵犯了您的权益,请留言。

目前有 0 条留言 其中:访客:0 条, 博主:0 条

给我留言

您必须 [ 登录 ] 才能发表留言!